## seqviewer
Class BeadDemo

    java.lang.Object
      seqviewer.BeadDemo

    public class BeadDemo

extends Object

`BeadDemo` demonstrates various some of the `FeatureRender`s which extend `AbstractBeadFeatureRenderer`. These render features in various shapes, colours and positions, but all within the same track of a `MultiLineRenderer`. They were really designed to render protein domains, but may be used for any features. By selecting various paints (e.g. `TexturePaint`s made from loaded images), border colours and shapes, a wide range of effects may be achieved.

Note that while the `ZiggyFeatureRenderer`s occupy one track of the `MultiLineRenderer` each, all the features below are in the same track (but have different Y-axis displacements). To dispay them all on the same line, just set the displacement to 0.

Since:
  1.2
Author:
  Keith James

Constructor Summary
`BeadDemo()`

Method Summary
`static void` `main(String[] argv)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeadDemo

    public BeadDemo()

Method Detail

### main

    public static void main(String[] argv)